 LLlambdaOFlEXP<-function(x,y,nu,a.vec,lambda,H="A"){
#LLlambdaOFmEXP<-function(x,y,nu,aOFmCoefs,lambda,H="A")
 #x is the vector of coefficients for the growth-rate model
 #    m = exp(x[1] + x[2]*(lambda-mean(lambda))
 #nu is LibSize/AlphaDotN, as defined in notes
 #y is one row of the original count/read matrix,
                     #called mRNAmat, for example
 #a is the vector of dispersion parameters (one per library)
 #lambda is the growth rate for each replicate
 #H model label: either "A"
 #     for m = exp( x[1] + x[2]*(lambda-mean(lambda)) ),
 #                 or "0" for m is independent of lambda,
 #   i.e., m = exp( x[1] )
  a<-a.vec
	y<-as.numeric(y)
	if(H=="A"){
		 m <-  exp( x[1]  + x[2]*(lambda-mean(lambda)) )
		 dm.dx1 <- m
		 dm.dx2 <- m*(lambda-mean(lambda))
		}else{
		m=exp(x[1])
		dm.dx1 <- m 
	}
	

	LL<- lgamma(a+y) - lgamma(a) - lgamma(y+1) +
	     y * ( log(m*nu) - log(a+m*nu) ) +
	     a * ( log(a) -    log(a+m*nu) )
	
	dLLdm <- y*( 1/m  -  nu/(a+m*nu) ) - a*nu/(a+m*nu)
	   
	dLL.dx1 <- dLLdm * dm.dx1
	dLL.dx1.Sum <- sum(dLL.dx1)
	
	
	if(H=="A"){
		dLL.dx2 <- dLLdm * dm.dx2
		dLL.dx2.Sum <- sum(dLL.dx2)
		gradLL.x <- c(dLL.dx1.Sum, dLL.dx2.Sum)
		}else{
		gradLL.x <- dLL.dx1.Sum}
	
	#Recall, x = exp(ln.x). Therefore dx.dln.x = x
	gradLL      <- gradLL.x
	LL.sum       <- sum(LL)
	
	res<- -LL.sum
	attr(res,"gradient") <- -gradLL
	res
		           
}