MAplotYobsYexp<-function(YmatSI,f.vec,ylims=c(-4,4)){
jYnz <- YmatSI!= 0
YSI<-YmatSI
YmatObserved<-YSI
YmatExpected <- f.vec%o%LibSizeSI
YSIexpected<-YmatExpected
fSI<-f.vec
xlims<-c( min(log2(YSIexpected[jYnz])),max(log2(YSIexpected[jYnz])) )
nrep<-dim(YmatSI)[2]
cx<-2
par(mar=c(5.5,5,4,2)+0.1)#default
#quartz()
for(Jrep in 1:nrep){
  Irep<-which(YSI[,Jrep]>0)
  O<-YSI[Irep,Jrep]
  E<-YSIexpected[Irep,Jrep]
  if(Jrep==1){plot( x=log2(E), y=log2(O)-log2(E), cex.axis=cx,
      xlim=xlims, ylim=ylims, type="n", xlab=NA, ylab=NA)}
  alpha=0.01
  for(i in Irep){
    cdf<-pbinom(q=0:LibSizeSI[Jrep], prob=fSI[i], size=LibSizeSI[Jrep])
    if(any(cdf<=alpha/2)){
      L<-max(which(cdf<=alpha/2))-1
      }else{
        L<-0
        }
    if(L==0) L<-2^(-10)
    cdf<-pbinom(q=1:LibSizeSI[Jrep], prob=fSI[i], size=LibSizeSI[Jrep])
    U<-min(which(cdf>=(1-alpha/2)))+1
    lines(x=rep(log2(YSIexpected[i,Jrep]),2),
        y=log2(c(L,U))-log2(YSIexpected[i,Jrep]),lw=1,col="grey")
    }
}
lines(xlims,c(0,0),col="black", lty="solid", lwd=2)
points( x=log2(YmatExpected[jYnz]), log2(YmatObserved[jYnz])-log2(YmatExpected[jYnz]),cex.axis=cx,
      pch=16, cex=0.5, col="black")
mtext(expression(  log[2]~hat(y) ), side=1, line=2.4, cex=cx, adj=0.45, padj=0.05)
mtext(expression(  log[2]~hat(y)-log[2]~y ), side=2, line=1.85, cex=cx,adj=0.51)
MeanLog2FoldDiff<-mean(log2(YmatObserved[jYnz])-log2(YmatExpected[jYnz]))
#[1] 0.05248518 for yeast dilution
MeanFoldDiff<-2^MeanLog2FoldDiff
#[1] 1.03705 for yeast dilution
DifferenceMeasures<-list(MeanLog2FoldDiff=MeanLog2FoldDiff,
                         MeanFoldDiff=MeanFoldDiff)
DifferenceMeasures
}
