SSUandLSUrRNA<-function(phi_1.sig, Zmat){

small <- c("YNL081C", "YLR048W","YGR214W","YBR146W", "YHL004W",
           "YML026C", "YNR036C", "YJR123W", "YDR041W",
           "YDL045W-A","YDR450W","YGR118W","YNL178W","YGL123W",
           "YMR143W","YOL040C", "YHR148W","YHL015W","YPL013C",
           "YPR166C","YPL081W", "YDL083C","YNL137C","YBR189W",
           "YPR132W")

large <- c("YDL202W","YKL170W","YGR034W","YNL069C","YJL177W",
           "YJL063C","YCR003W","YMR286W","YLR344W","YGL135W",
           "YDR496C","YKL180W","YEL050C","YDR116C","YNL177C",
           "YGL103W", "YPL220W", "YNL284C","YIL133C")

n.small<-length(small[small%in%names(phi_1.sig)])
small<-small[small%in%names(phi_1.sig)]

#Mean(abundance) of 3 replicates of nominal amol
meanZsmall<-t( apply(Zmat[small,],1,function(x) 
  tapply(x,INDEX=groupC,FUN=mean)) )
#Normalize the mean of the 3 replicates by mean at lambda=0.12 (h^{-1})
meanZsmallNorm<-diag(1/meanZsmall[,1])%*%meanZsmall
rownames(meanZsmallNorm)<-rownames(meanZsmall)

#Mean exponential constant for SSU rRNA
meanPhi_1Small<-mean(phi_1.sig[small])
#Corresponding sd
sdPhi_1Small<-sd(phi_1.sig[small])
LambdaUnique<-c(0.12,0.20,0.30) #growth rates


xplot<-seq(from=0.12,to=0.30,length.out=100)
matplot(LambdaUnique,t(meanZsmallNorm),cex=1,pch=16,col="grey",
        ylim=c(0.9,10),cex.axis=1.5,xlab=NA,ylab=NA,log="y")
for(j in 1:n.small){
  yplot<-exp(phi.sig[small[j],1]+
               phi.sig[small[j],2]*(xplot-mean(lambda)))/
    meanZsmall[small[j],1]
  lines(xplot,yplot,lwd=1,col="black")
}
mtext(expression(paste("Growth rate (",h^{-1},")")),side=1,
      cex=2,line=2.7, adj=0.4)
mtext("SSU rRNA abundance (normalized)", side=2,cex=2, line=2.4)
title("Fig 5A of the paper")

#Same analysis an plotting for LSU rRNA
MeanPh_1Large<-mean(phi_1.sig[large[large%in%names(phi_1.sig)]])
sd(phi_1.sig[large[large%in%names(phi_1.sig)]])
#length(large)
n.large<-length(large[large%in%names(phi_1.sig)])
large<-large[large%in%names(phi_1.sig)]
meanZlarge<-t( apply(Zmat[large,]%*%diag(1/delta),1,function(x) 
  tapply(x,INDEX=groupC,FUN=mean)) )
meanZlargeNorm<-diag(1/meanZlarge[,1])%*%meanZlarge
rownames(meanZlargeNorm)<-rownames(meanZlarge)
GeoMeanlarge<-apply(meanZlargeNorm,2,function(x)
  exp(mean(log(x))))


xplot<-seq(from=0.12,to=0.30,length.out=100)
yplot<-exp(mean(phi.sig[large,1])+mean(phi.sig[large,2])*
             (xplot-mean(lambda)))/exp(mean(log(meanZlarge[,1])))
matplot(LambdaUnique,t(meanZlargeNorm),cex=1,pch=16,col="grey",
        ylim=c(0.9,10),cex.axis=2,xlab=NA,ylab=NA,log="y")
for(j in 1:n.large){
  yplot<-exp(phi.sig[large[j],1]+
               phi.sig[large[j],2]*(xplot-mean(lambda)))/
    meanZlarge[large[j],1]
  lines(xplot,yplot,lwd=1,col="black")
}
mtext(expression(paste("Growth rate (",h^{-1},")")),side=1,
      cex=2,line=2.7, adj=0.4)
mtext("LSU rRNA abundance (normalized)", side=2,cex=2, line=2.4,
      adj=0.6)
title("Fig 5B of the paper")
}
